Bug Hunting Session
Bug 31142 - Runaway column selection in Calc
Summary: Runaway column selection in Calc
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-26 16:16 UTC by Phil Hibbs
Modified: 2016-04-16 18:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Hibbs 2010-10-26 16:16:29 UTC
If column selection with the mouse causes scrolling, it runs off out of control and can continue scrolling and selecting for several minutes. This is not evident with a blank spreadsheet, but if there is enough content that the redraw time is longer than the autorepeat time of the scrolling operation, then the repeat scroll events stack up.

The software should not buffer up scroll events. When the user releases the mouse, scrolling and extending the selection should stop.

This issue was raised in OOo as Issue 13427 (http://www.openoffice.org/issues/show_bug.cgi?id=13427) but was closed as not-a-bug. I think it deserves further consideration.
Comment 1 Phil Hibbs 2010-10-26 16:17:25 UTC
Also it is not just column selection, any area select operation can cause this behaviour.
Comment 2 Noel Power 2010-10-27 08:59:46 UTC
how does one reproduce this? Do you need a document with some large amount of content etc. I only ask because I tried like you suggested ( admittedly with a blank calc doc ) and scolling either down or right to select rows or columns works fine for me. e.g. it selects cols/rows like a maniac but when I release the button the scrolling stops :-/ so.. am I missing some steps? ( or data? )
Comment 3 Phil Hibbs 2010-10-27 09:27:26 UTC
It may only occur when you have a complex chain of formulas. I was just about to upload an attachment that shows the issue, which I was experiencing on my quad-core Xeon laptop last night on LibreOffice, but trying it now on Go-oo 3.2.1 OOO320m19 (Build:9505) on my Pentium work machine it is responding just fine. I will try again this evening on LibreOffice.
Comment 4 Kohei Yoshida 2010-10-27 11:58:28 UTC
Yeah, I know about this.  This problem tends to happen more often on Windows than on Linux, and it due to the redrawing requests getting queued up faster than the screen can redraw.  I have a patch for go-oo that deliberately slows down the rate of scrolling as a temporary measure (for Windows only) which has not yet been ported AFAIK because I considered it to be a hack.

Maybe we should port that patch to libreoffice.  That should at least mitigate this problem until we put in the correct solution, which is to skip some of the redrawing requests in case of slow redraw.
Comment 5 Kohei Yoshida 2010-10-27 12:42:42 UTC
I'll take this meanwhile.
Comment 6 Phil Hibbs 2010-10-27 14:48:04 UTC
I think the reason it happens on my home machine is it has a 1920x1200 screen so it is doing a lot more drawing tha my 1280x1024 work laptop. If I reduce the screen size to around 40x40 rows and columns, it doesn't happen, until I reduce the zoom so that more is on the screen again. It even happens with a blank spreadsheet if I zoom all the way out, so no need to attach a test case.
Comment 7 Kohei Yoshida 2011-01-11 08:19:25 UTC
Similar bug report was filed here as well
https://bugzilla.novell.com/show_bug.cgi?id=514395
Comment 8 Roman Eisele 2012-05-03 08:32:00 UTC
This is a Calc bug, therefore changed Component accordingly.
Comment 9 mike.hall 2012-12-18 13:41:16 UTC
This bug is substantially worse in LO 4.0.0 beta 1 making working in big spreadsheets extremely difficult. Therefore I am raising the priority to high-major.
Comment 10 bugzilla2 2014-07-03 09:25:17 UTC
Me too has this problem. Reproducible with a blank Spreadsheet. I have 1920x1280 Screen-resolution.
Comment 11 bugzilla2 2014-07-03 09:29:22 UTC
Omg, just noticed, that the last post was from 2012 :( Please don't tell, that this bug has such low severity rating?

Btw, forgot Specs:
Windows 8.1 Update 64 Bit, 8GB Ram, LibO 4.2.5
Comment 12 Andreas Bernhaut 2014-09-26 11:54:37 UTC
I can reproduce this problem too in the following way:

Open a new spreadsheet.
Move it to the second screen.
Maximize the LibreOffice.
Mark the first colum (A1:A1048576).
Mark the next column at right outside of the screen ex. to column Z.
There you can not stop until the col AMF (A1:AMF1048576) or something like that is selected.

In this example i can reproduce this bug always

Sometimes but not allways I can reproduce this problem with some rows ex. (A3:AMH15).

Tested on Version: 4.2.6.3
Build-ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
Comment 13 QA Administrators 2014-10-23 17:32:28 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 14 bugzilla2 2014-10-24 08:55:37 UTC
> Your bug was confirmed at least 1 year ago and has not had any activity on
> it for over a year. Your bug is still set to NEW which means that it is open
> and confirmed. It would be nice to have the bug confirmed on a newer version
> than the version reported in the original report to know that the bug is
> still present -- sometimes a bug is inadvertently fixed over time and just
> never closed.

No activity for over a year????? The bug has been confirmed less then a month ago by Andreas Bernhaut on 4.2.6.3. I confirmed it in July and I did see that bug live at a customer of me yesterday, who is also on 4.2.6.3.
Comment 15 bugzilla2 2014-10-24 09:05:52 UTC
Bug still exists in 4.3.3.1
System: Windows 8.1 x64, German

The two systems I mentioned before (confirming the bug in 4.2.6.3) has been Windows 8.1 x64, German, also.
Comment 16 Phil Hibbs 2014-10-24 10:41:25 UTC
I have tried this in 4.3.2 both on a virtual machine and on my local machine (both Windows 7 64 bit) and cannot reproduce it - this machine is more powerful than the previous machine on which I experienced the problem and that may be relevant. I will try on my older machine next week.
Comment 17 bugzilla2 2014-10-24 10:55:59 UTC
(In reply to Phil Hibbs from comment #16)
> I have tried this in 4.3.2 both on a virtual machine and on my local machine
> (both Windows 7 64 bit) and cannot reproduce it - this machine is more
> powerful than the previous machine on which I experienced the problem and
> that may be relevant. I will try on my older machine next week.

More CPU power surely makes that bug appearing less often. But no need to reactivate your old machine, just zoom out to maybe 50%, maybe then it scrolls again?! Still have the 1920x1200 display?

Even if the bug is not visible on "superfast" machines, or such with quiet small monitors, it should be fixed. Since there was already a fix (for a oo-fork) mentioned in the posts above, it should be very clear, where the problem is. We "just" need a nice developer to have a look at it (looking with big dog-eyes ;).
Comment 18 Matthew Francis 2015-04-06 05:10:04 UTC
According to the bug linked in comment 0, this has occurred since long before LO existed.
I can also still see the issue on Linux on current 5.0 master.

-> Version: Inherited from OOo
-> Platform: All
Comment 19 tommy27 2016-04-16 07:27:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 20 Phil Hibbs 2016-04-16 15:44:28 UTC
Cannot reproduce in 5.1.2.2
Comment 21 bugzilla2 2016-04-16 18:03:19 UTC
I still can reproduce some lag on selections on older systems, but the big bug really seems to be gone. Works for me too now :)

Many thanks to all the LibreOffice Developers :)